var tagserver = angular.module('tagserver', ['ngRoute', 'poconsole']);
tagserver.config([
    '$routeProvider', function($routeProvider) {
        $routeProvider.when('/dashboard', {
            templateUrl: '/templates/dashboard.html',
            controller: 'dashboardCtrl'
        }).when('/tags', {
            templateUrl: '/templates/tags.html',
            controller: 'tagsCtrl'
        }).when('/tag/:tagID', {
            templateUrl: '/templates/tagVals.html',
            controller: 'tagValsCtrl'
        }).when('/config', {
            templateUrl: '/templates/config.html',
            controller: 'configCtrl'
        }).when('/docs', {
            templateUrl: '/templates/docs.html',
            controller: 'docsCtrl'
        }).when('/cards', {
            templateUrl: '/templates/cardlist.html',
            controller: 'cardListCtrl'
        }).when('/cards/:cardID', {
            templateUrl: '/templates/card.html',
            controller: 'cardDataCtrl'
        }).when('/gaugeoff', {
            templateUrl: '/templates/gaugeoff.html',
            controller: 'gaugeOffCtrl'
        }).when('/welltest', {
            templateUrl: '/templates/welltest.html',
            controller: 'wellTestCtrl'
        }).when('/events', {
            templateUrl: '/templates/events.html',
            controller: 'eventsCtrl'
        }).when('/notes', {
            templateUrl: '/templates/notes.html',
            controller: 'notesCtrl'
        }).when('/totals', {
            templateUrl: '/templates/totals.html',
            controller: 'todaysTotalsCtrl'
        }).when('/fluid_shots', {
            templateUrl: '/templates/fluidshot.html',
            controller: 'fluidShotCtrl'
        }).when('/latest_stroke', {
            templateUrl: '/templates/latestcard.html',
            controller: 'latestStrokeCtrl'
        }).when('/backup_restore', {
            templateUrl: '/templates/backuprestore.html',
            controller: 'backupRestoreCtrl'
        }).when('/multiplecards/:cardIDs', {
            templateUrl: '/templates/multiplecards.html',
            controller: 'multipleCardDataCtrl'
        }).when('/', {
            templateUrl: '/templates/dashboard.html',
            controller: 'dashboardCtrl'
        });
    }
]);
